Subject: Re: [PATCH] ARM: VDSO: Fix incorrect clock_gettime64

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sat, 30 May 2020 15:59:24 +0100

On Sat, May 30, 2020 at 03:51:35PM +0100, Robin Murphy wrote:
> On 2020-04-09 06:05, Jaedon Shin wrote:
> > __vdso_*() should be removed and fallback used if CNTCVT is not
> > available by cntvct_functional(). __vdso_clock_gettime64 when added
> > previous commit is using the incorrect CNTCVT value in that state.
> > __vdso_clock_gettime64 is also added to remove it's symbol.
> 
> Tested-by: Robin Murphy <[email-masked]>
> 
> Turns out this is what was making my RK3288 box virtually unusable since its
> last couple of updates - it would be nice to get the fix merged and
> backported ASAP. I suspect it's also the same underlying thing for the
> Raspberry Pi thread over here:
> 
> https://lore.kernel.org/linux-arm-kernel/[email-masked]/

Does this mean I need to do something with this patch? It's not been
put in the patch system, so I'm afraid it's missed the boat for 5.7.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC for 0.8m (est. 1762m) line in suburbia: sync at 13.1Mbps down 424kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel